#include <iostream>
using namespace std;
int main ()
{
    int n,d,k,sum=1,br=1;
    cin>>n>>d>>k;
    for(int i=1; k>0; i++)
    {
        sum=1+sum+((d*i)%n);
        br+=d;
        k=k-1;
    }
    cout<<sum;
    return 0;
}
